mbed_host_tests.host_tests.detect_auto.DetectPlatformTest Class Reference
Inheritance diagram for mbed_host_tests.host_tests.detect_auto.DetectPlatformTest:

## Public Member Functions

| result (self)
| test (self, selftest)

## Static Public Attributes

str | PATTERN_MICRO_NAME = "Target '(\w+)'"
| re_detect_micro_name = re.compile(PATTERN_MICRO_NAME)

## Detailed Description

Definition at line 21 of file detect_auto.py.

## Member Function Documentation

## result()

mbed_host_tests.host_tests.detect_auto.DetectPlatformTest.result | ( |  | self | ) |

Definition at line 25 of file detect_auto.py.

## test()

mbed_host_tests.host_tests.detect_auto.DetectPlatformTest.test | ( |  | self,
|  |  | selftest
| ) |  |

Definition at line 28 of file detect_auto.py.

## Member Data Documentation

## PATTERN_MICRO_NAME

str mbed_host_tests.host_tests.detect_auto.DetectPlatformTest.PATTERN_MICRO_NAME = "Target '(\w+)'"

static

Definition at line 22 of file detect_auto.py.

## re_detect_micro_name

mbed_host_tests.host_tests.detect_auto.DetectPlatformTest.re_detect_micro_name = re.compile(PATTERN_MICRO_NAME)

static

Definition at line 23 of file detect_auto.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/detect_auto.py